-- create a table of duplicates there is the same vendor number and same invoicedate
create table dups as select count(*) ccount, vendor, invoicedate from payments group by vendor, invoicedate;
-- delete all duplicate candidates where the count is less than 2
delete from dups where ccount < 2;
-- list the contents of the duplicates table
select * from dups;
-- list the contents of a merge between the duplicates and the payments table
select * from dups d, payments p where d.vendor = p.vendor and d.invoicedate = p.invoicedate;
-- list only selected columns of the joined data
select p.vendor, p.invoicedate, p.invoicenumber, p.invoiceamount, p.datepaid, p.amountpaid, p.vendorname from dups d, payments p where d.vendor = p.vendor and d.invoicedate = p.invoicedate;
-- list only selected columns of the joined data, and order by vendor number, invoice number
select p.vendor vendor, p.invoicedate invoicedate, p.invoicenumber invoicenumber, p.invoiceamount invoiceamount, p.datepaid datepaid, p.amountpaid amountpaid, p.vendorname vendorname  from dups d, payments p where d.vendor = p.vendor and d.invoicedate = p.invoicedate order by p.vendor, p.invoicenumber, p.invoicedate;
